# -*- coding: utf-8 -*-
from setupdevhelpers import *
from waptutils import CustomZipFile
from waptutils import create_recursive_zip

import distro
import platform

def update_package():
    tgz_suffix = str(platform.system().lower() + '_' + platform.machine().lower() + '_' .strip('_'))

    run("bash step1_create_debootstrap.sh", timeout=1200)
    run("chroot /root/pip-build-chroot/ bash /root/step2_build_wheels.sh", timeout=7200)
    remove_file("step1_compile_python_create_debootstrap.sh")
    remove_file("step2_compile_python_in_debootstrap.sh")

    run('tar -zcf %s/tis-pip-dependencies-python39-%s.tar.gz -C /root/pip-build-chroot/root/wheels/ . ' % (basedir,tgz_suffix))


