#!/bin/bash
set -e

WAPT_ARCH="arm"
DEBIAN_ARCH="armhf"
RUST_ARCH="armv7"
PYTHON_ARCH="armv7l"


apt-get install -y debootstrap

rm -Rf /root/buster-chroot

debootstrap --arch ${DEBIAN_ARCH} buster /root/pip-build-chroot/ http://deb.debian.org/debian

chroot /root/pip-build-chroot/ apt-get install locales-all build-essential wget -y

wget --no-check-certificate https://srvtemplates.ad.tranquil.it/binary_cache/python39-linux_${PYTHON_ARCH}.tar.gz -O /root/pip-build-chroot/root/python39-linux.tar.gz

wget https://static.rust-lang.org/dist/rust-1.80.0-armv7-unknown-linux-gnueabihf.tar.xz -O /root/pip-build-chroot/root/rust-1.80.0.tar.xz

cp requirements-* /root/pip-build-chroot/root/
cp step2_build_wheels.sh /root/pip-build-chroot/root/

